Subject: ftp login failure to some sites.

From: Alfred Collins <[email-masked]>
Date: Mon, 10 Jul 2000 13:00:26 +0300

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

Do any users of ftp-gw.c,v 1.16 1998/02/06 in fwtk-2.1-current have this
problem?
We are using ftp-gw.c,v 1.3 1997/09/28.
During the remote FTP server login dialog (USER [email-masked]), the
FTP client never gets the password prompt.
metalab.unc.edu got fixed yesterday, but these two still fail:
ftp.cc.rl.ac.uk
ftp.informatik.uni-erlangen.de
TCPDUMP of failure:
 17  13.51127  10.1.21.222 -> userscreen   FTP C port=33671 USER
[email-masked]
 18   0.00147   userscreen -> metalab.unc.edu FTP C port=51172
 19   0.00021 metalab.unc.edu -> userscreen   FTP R port=51172
 20   0.00002   userscreen -> metalab.unc.edu FTP C port=51172
 21   0.18956   userscreen -> 10.1.21.222  FTP R port=33671
 22   0.37195 metalab.unc.edu -> userscreen   FTP R port=51172 220-\r\n
 23   0.00002   userscreen -> metalab.unc.edu FTP C port=51172
 24   0.31268 metalab.unc.edu -> userscreen   FTP R port=51172 220-
 25   0.01510   userscreen -> metalab.unc.edu FTP C port=51172 USER ftp\r\n
 26   0.12150 metalab.unc.edu -> userscreen   FTP R port=51172
 27   0.15162 metalab.unc.edu -> userscreen   FTP R port=51172 331 Guest
login ok,
 28   0.00124   userscreen -> 10.1.21.222  FTP R port=33671 220-
 29   0.09492  10.1.21.222 -> userscreen   FTP C port=33671
 30   0.00015   userscreen -> 10.1.21.222  FTP R port=33671 \r\n220-
 31   0.09982  10.1.21.222 -> userscreen   FTP C port=33671
 32   0.00099   userscreen -> metalab.unc.edu FTP C port=51172
TCPDUMP of success.
 17  13.20328  10.1.21.222 -> userscreen   FTP C port=33673 USER
[email-masked]
 18   0.00145   userscreen -> wcarchive.cdrom.com FTP C port=51179
 19   0.00021 wcarchive.cdrom.com -> userscreen   FTP R port=51179
 20   0.00002   userscreen -> wcarchive.cdrom.com FTP C port=51179
 21   0.19734   userscreen -> 10.1.21.222  FTP R port=33673
 22   0.54738 wcarchive.cdrom.com -> userscreen   FTP R port=51179 220
wcarchive.cdrom.
 23   0.00010   userscreen -> wcarchive.cdrom.com FTP C port=51179
 24   0.00168   userscreen -> wcarchive.cdrom.com FTP C port=51179 USER
anonymous\r\n
 25   0.09375 wcarchive.cdrom.com -> userscreen   FTP R port=51179
 26   0.21831 wcarchive.cdrom.com -> userscreen   FTP R port=51179 331 Guest
login ok,
 27   0.00107   userscreen -> 10.1.21.222  FTP R port=33673 331 Guest login
ok,
 28   0.09680  10.1.21.222 -> userscreen   FTP C port=33673
 29   0.00002   userscreen -> 10.1.21.222  FTP R port=33673
 30   0.10031  10.1.21.222 -> userscreen   FTP C port=33673
 31   0.00047   userscreen -> wcarchive.cdrom.com FTP C port=51179
Metalab changed their login dialog. They used to reply with a lot of
verbiage just before the login prompt. Now they just give a 331 which now
gets properly passed back to the client. No changes were made at our end.
Metalab may not have been responding to our complaint. More likely, they
changed in response to the wu-ftpd remote root vulnerability.

---

From: "Randal, Phil" <[email-masked]>
Date: Mon, 10 Jul 2000 12:09:48 +0100

Latest ftp-gw with patches from www.fwtk.org works fine with
these sites.

Phil

------------------------------------------------------------
Phil Randal
Network Engineer
Herefordshire Council, UK

> -----Original Message-----
> From: Alfred Collins [mailto:[email-masked]]
> Sent: 10 July 2000 11:00
> To: [email-masked]
> Subject: ftp login failure to some sites.
> 
>